unit ARBvertexProgram;

interface

uses Windows, SysUtils, GL, GLu, GLext, WGLext, GLtools, ARBprograms;

type
  TARBvertexProgram = class(TARBprogram)
  protected
  public
    constructor Create; reintroduce;
    destructor Destroy; override;
  end;

implementation

constructor TARBvertexProgram.Create;
begin
  inherited Create(GL_VERTEX_PROGRAM_ARB);
end;

destructor TARBvertexProgram.Destroy;
begin
  inherited Destroy;
end;

end.
